# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, csv)

# начало теста
test.echo_header('add_rows')

# Создать и получить путь к тестовому файлу
filePath = test.get_test_file_full_path('testcsv.csv')

# 1
print("1. Получить значение последних 3 строк:")
rowcount = int(csv.get_rows_count(filePath))
print(csv.get_row(filePath, rowcount-2))
print(csv.get_row(filePath, rowcount-1))
print(csv.get_row(filePath, rowcount))

# 2
print("\n\n2. Вставить новые 2 строки в конец файла")
csv.add_rows(filePath, '4.10.22;Central;Andrews;Pencil;66; 1,99 ; 131,34 \r\n4.27.22;East;Howard;Pen;96; 4,99 ; 479,04  ')

# 3
print("\n\n3. Теперь снова получить значение последних 3 строк:")
rowcount = int(csv.get_rows_count(filePath))
print(csv.get_row(filePath, rowcount-2))
print(csv.get_row(filePath, rowcount-1))
print(csv.get_row(filePath, rowcount))

# конец теста
print('\n<hr><br>')

# выход
app.quit()
