# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, csv)

# начало теста
test.echo_header('get_cell')

# Создать и получить путь к тестовому файлу
filePath = test.get_test_file_full_path('testcsv.csv')

# 1
print("1. Получить значение ячейки [2,3]:")
print(csv.get_cell(filePath, 2, 3))

# 2
print("\n2. Получить значение ячейки [5,1]:")
print(csv.get_cell(filePath, 5, 1))

# 3
print("\n3. Получить значение не существующей ячейки:")
print(csv.get_cell(filePath, 5, 500))

# конец теста
print('\n<hr><br>')

# выход
app.quit()
