# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, csv)

# начало теста
test.echo_header('remove_col')

# Создать и получить путь к тестовому файлу
filePath = test.get_test_file_full_path('testcsv.csv')

# 1
print('1. Получить значение столбцов 2,3,4:')
col2 = csv.get_col(filePath, 2).split('\r\n')
col3 = csv.get_col(filePath, 3).split('\r\n')
col4 = csv.get_col(filePath, 4).split('\r\n')
combined = '\r\n'.join([x + '\t' + col3[i] + '\t' + col4[i] for i,x in enumerate(col2)])
print('<pre>' + combined + '</pre>')

# 2
print('\n\n2. Удаляем столбец 3')
csv.remove_col(filePath, 3)

# 3
print('3. Теперь снова получаем значение столбцов 2,3,4:')
col2 = csv.get_col(filePath, 2).split('\r\n')
col3 = csv.get_col(filePath, 3).split('\r\n')
col4 = csv.get_col(filePath, 4).split('\r\n')
combined = '\r\n'.join([x + '\t' + col3[i] + '\t' + col4[i] for i,x in enumerate(col2)])
print('<pre>' + combined + '</pre>')

# конец теста
print('\n<hr><br>')

# выход
app.quit()
