# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, csv)

# начало теста
test.echo_header('remove_rows')

# Создать и получить путь к тестовому файлу
filePath = test.get_test_file_full_path('testcsv.csv')

# 1
print("1. Получить значение строк 4-8:")
print(csv.get_row(filePath, 4))
print(csv.get_row(filePath, 5))
print(csv.get_row(filePath, 6))
print(csv.get_row(filePath, 7))
print(csv.get_row(filePath, 8))

# 2
print("\n\n2.  Удалить 5 и 6 строку")
csv.remove_rows(filePath, "5,6")

# 3
print("\n\n3. Теперь снова получить значение строк 4-6:")
print(csv.get_row(filePath, 4))
print(csv.get_row(filePath, 5))
print(csv.get_row(filePath, 6))

# конец теста
print('\n<hr><br>')

# выход
app.quit()
