<?php
// инициализация
$xhe_host = '127.0.0.1:7010';
$relative_app_dir = '..\\..\\..\\';
require($relative_app_dir.'Templates/init.php');
include($relative_app_dir.'Templates/_for_tests_.php');

$bUTF8Ver = true;
$PHP_Use_Trought_Shell = true;

// рабочая папка
$script_folder = $debug->get_cur_script_folder();
// отсносительный путь
$app_dir = realpath($script_folder.$relative_app_dir);
// тестовые данные
$test = new _for_tests_($script_folder, $csv);

// начало теста
$test->echo_header('remove_col');

// Создать и получить путь к тестовому файлу
$filePath = $test->get_test_file_full_path('testcsv.csv');

// 1
echo("1. Получить значение столбцов 2,3,4:\n");
$col2 = explode(PHP_EOL, $csv->get_col($filePath, 2));
$col3 = explode(PHP_EOL, $csv->get_col($filePath, 3));
$col4 = explode(PHP_EOL, $csv->get_col($filePath, 4));
$combined = array_map(function($a, $b, $c) { return $a . "\t" . $b."\t".$c; }, $col2, $col3, $col4);
echo('<pre>'.implode(PHP_EOL, $combined).'</pre>');

// 2
echo("\n\n2. Удаляем столбец 3\n");
$csv->remove_col($filePath, 3);

// 3
echo("3. Теперь снова получаем значение столбцов 2,3,4:\n");
$col2 = explode(PHP_EOL, $csv->get_col($filePath, 2));
$col3 = explode(PHP_EOL, $csv->get_col($filePath, 3));
$col4 = explode(PHP_EOL, $csv->get_col($filePath, 4));
$combined = array_map(function($a, $b, $c) { return $a . "\t" . $b."\t".$c; }, $col2, $col3, $col4);
echo('<pre>'.implode(PHP_EOL, $combined).'</pre>');

// конец теста
echo "\n<hr><br>";

// выход
$app->quit();
?>
