# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, csv)

# начало теста
test.echo_header('add_col')

# Создать и получить путь к тестовому файлу
filePath = test.get_test_file_full_path('testcsv.csv')

# 1
print("1. Получить значение столбца 2:")
print(csv.get_col(filePath, 2))

# 2
print("\n\n2. Вставить новый столбец 2 (после первого)")
arr = ['JAN', 'FEB', 'MAR', 'APR', 'MAY', 'JUN', 'JUL', 'AUG', 'SEP', 'OCT', 'NOV', 'DEC']
csv.add_col(filePath, 1, "\r\n".join(arr))

# 3
print("\n\n3. Теперь снова получить значение столбца 2:")
print(csv.get_col(filePath, 2))

# конец теста
print('\n<hr><br>')

# выход
app.quit()
